# Poco

# class ArchiveByNumberStrategy

Library: Foundation
Package: Logging
Header: Poco/ArchiveStrategy.h

## Description

A monotonic increasing number is appended to the log file name. The most recent archived file always has the number zero.

## Inheritance

Direct Base Classes: ArchiveStrategy

All Base Classes: ArchiveStrategy

## Member Summary

Member Functions: archive

Inherited Functions: archive, compress, exists, moveFile

## Constructors

### ArchiveByNumberStrategy

ArchiveByNumberStrategy();

## Destructor

### ~ArchiveByNumberStrategy

~ArchiveByNumberStrategy();

## Member Functions

### archive

LogFile * archive(
LogFile * pFile
);

See also: Poco::ArchiveStrategy::archive()